Skip to main content
Agent

List Agents

Paginated list of agents in a workspace

GET
/api/v1/agentstudio/agents
cURL
curl --request GET \
  --url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/agents' \
  --header 'Authorization: Bearer <YOUR_API_KEY>'
{
  "data": [
    {
      "id": "agent_xxx",
      "type": "agent",
      "version": 1,
      "name": "data-analyst",
      "description": "数据分析助手",
      "model": {
        "id": "qwen3-max"
      },
      "system": "你是数据分析专家,使用 pandas 处理 CSV 文件。",
      "tools": [],
      "mcp_servers": [],
      "skills": [],
      "multiagent": {
        "type": "coordinator",
        "agents": [
          {
            "type": "self"
          },
          {
            "type": "agent",
            "id": "agent_researcher",
            "version": 3
          }
        ]
      },
      "metadata": {
        "team": "data"
      },
      "created_at": "2026-05-28T16:23:11.456+08:00",
      "updated_at": "2026-05-28T16:23:11.456+08:00",
      "archived_at": null,
      "workspace_id": "ws_xxx"
    }
  ],
  "next_page": null
}

Authorizations

string
header
required

DashScope API Key

Query Parameters

integer

单页条数,默认 20,最大 100

string

分页游标。首次不传,后续传上一次响应的 next_page 翻下一页

boolean

是否包含已归档智能体,默认 false

Response

200-application/json
object[]

Agent 对象数组

string | null

下一页游标,无更多数据时为 null

Overview
Managed Agent API
Sandbox API
Memory API
Flow Agent API
RAG API
Connector API
Framework Integration
Assistant API (Deprecating)
  • Overview